Bug 1326170 (php-aws-php-sns-message-validator) - Review Request: php-aws-php-sns-message-validator - Amazon SNS message validation
Summary: Review Request: php-aws-php-sns-message-validator - Amazon SNS message valida...
Keywords:
Status: CLOSED ERRATA
Alias: php-aws-php-sns-message-validator
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: php-aws-sdk3
TreeView+ depends on / blocked
 
Reported: 2016-04-12 03:25 UTC by Shawn Iwinski
Modified: 2016-05-07 12:08 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-30 23:53:14 UTC
Type: ---
fedora: fedora-review+


Attachments (Terms of Use)
phpci.log (6.17 KB, text/plain)
2016-04-13 08:31 UTC, Remi Collet
no flags Details
review.txt (8.22 KB, text/plain)
2016-04-13 08:32 UTC, Remi Collet
no flags Details

Description Shawn Iwinski 2016-04-12 03:25:10 UTC
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/794698933e2332fa475ff98523fe3ec72aafee79/php-aws-php-sns-message-validator/php-aws-php-sns-message-validator.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-aws-php-sns-message-validator-1.1.0-1.fc23.src.rpm

Description:
The Amazon SNS Message Validator for PHP library allows you to validate that
incoming HTTP(S) POST messages are valid Amazon SNS notifications. This library
is standalone and does not depend on the AWS SDK for PHP or Guzzle.


Fedora Account System Username: siwinski

Comment 1 Remi Collet 2016-04-13 08:12:21 UTC
Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13643479

Comment 2 Remi Collet 2016-04-13 08:31:25 UTC
Created attachment 1146741 [details]
phpci.log

     Note: phpCompatInfo version 5.0.0 DB version 1.7.0 built Apr 12 2016
     08:25:26 CEST static analyze results in

Comment 3 Remi Collet 2016-04-13 08:32:02 UTC
Created attachment 1146742 [details]
review.txt

Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1326170
Buildroot used: fedora-rawhide-x86_64

Comment 4 Remi Collet 2016-04-13 08:37:08 UTC
[!]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/share/php/Aws/Sns(php-
     aws-sdk), /usr/share/php/Aws(php-aws-sdk),
     /usr/share/php/Aws/Sns/Exception(php-aws-sdk)
		
	Despite both provide the same dir, there is no conflicts in provided files
	As this library is a new dep of aws sdk v3, perhaps better to move in the
	same tree (/usr/share/php/Aws3)

I fine to approve the package like this, just wait for your idea about the possible file conflicts if content of php-aws-sdk or this library change in a future version.

Changing dir will imply using $fedoraPsr4ClassLoader (shared with php-aws-sdk), but as "Aws\Sns" is a sub namespace of "Aws" perhaps not wanted...

Comment 5 Shawn Iwinski 2016-04-13 18:15:22 UTC
(In reply to Remi Collet from comment #4)
> [!]: Package does not own files or directories owned by other packages.
>      Note: Dirs in package are owned also by: /usr/share/php/Aws/Sns(php-
>      aws-sdk), /usr/share/php/Aws(php-aws-sdk),
>      /usr/share/php/Aws/Sns/Exception(php-aws-sdk)
> 		
> 	Despite both provide the same dir, there is no conflicts in provided files
> 	As this library is a new dep of aws sdk v3, perhaps better to move in the
> 	same tree (/usr/share/php/Aws3)
> 
> I fine to approve the package like this, just wait for your idea about the
> possible file conflicts if content of php-aws-sdk or this library change in
> a future version.
> 
> Changing dir will imply using $fedoraPsr4ClassLoader (shared with
> php-aws-sdk), but as "Aws\Sns" is a sub namespace of "Aws" perhaps not
> wanted...

I much prefer "/usr/share/php/Aws" for this library.  There are no current naming conflicts, but I opened https://github.com/aws/aws-php-sns-message-validator/issues/12 asking upstream to guarantee no naming clashes.

Comment 6 Remi Collet 2016-04-14 04:41:58 UTC
Fine for me.


=== APPROVED ===

Comment 7 Shawn Iwinski 2016-04-14 13:57:27 UTC
THANKS for the review!  Package request submitted to pkgdb.

Comment 8 Till Maas 2016-04-14 21:44:25 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/php-aws-php-sns-message-validator

Comment 9 Fedora Update System 2016-04-15 22:04:50 UTC
php-aws-php-sns-message-validator-1.1.0-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-922e255b00

Comment 10 Fedora Update System 2016-04-15 22:04:57 UTC
php-aws-php-sns-message-validator-1.1.0-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-25a5f3c38d

Comment 11 Fedora Update System 2016-04-18 04:52:23 UTC
php-aws-php-sns-message-validator-1.1.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-922e255b00

Comment 12 Fedora Update System 2016-04-18 04:55:54 UTC
php-aws-php-sns-message-validator-1.1.0-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-25a5f3c38d

Comment 13 Fedora Update System 2016-04-30 23:53:12 UTC
php-aws-php-sns-message-validator-1.1.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2016-05-07 12:08:47 UTC
php-aws-php-sns-message-validator-1.1.0-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.